=== debian/changelog ===
ros-eloquent-rcpputils (0.2.1-1bionic) bionic; urgency=high

  * add new function to remove the extension of a file (#27 <https://github.com/ros2/rcpputils/pull/27>)
  * Contributors: Anas Abou Allaban

 -- Emerson Knapp <eknapp@amazon.com>  Tue, 12 Nov 2019 08:00:00 -0000

ros-eloquent-rcpputils (0.2.0-1bionic) bionic; urgency=high

  * find_library: Centralize functionality here (#25 <https://github.com/ros2/rcpputils/issues/25>)
  * Implement join() (#20 <https://github.com/ros2/rcpputils/issues/20>)
  * Rename test (#21 <https://github.com/ros2/rcpputils/issues/21>)
  * use _WIN32 instead of WIN32 (#24 <https://github.com/ros2/rcpputils/issues/24>)
  * Update README.md and package.xml (#22 <https://github.com/ros2/rcpputils/issues/22>)
  * Fix typo (#23 <https://github.com/ros2/rcpputils/issues/23>)
  * type trait rcpputils::is_pointer<T>` (#19 <https://github.com/ros2/rcpputils/issues/19>)
  * File extension addition for camera calibration parser (#18 <https://github.com/ros2/rcpputils/issues/18>)
  * Add endian helper until C++20 (#16 <https://github.com/ros2/rcpputils/issues/16>)
  * use iterators for split (#14 <https://github.com/ros2/rcpputils/issues/14>)
  * Add function 'find_and_replace' (#13 <https://github.com/ros2/rcpputils/issues/13>)
  * Contributors: Andreas Klintberg, Dirk Thomas, Jacob Perron, Karsten Knese, Michael Carroll, Michel Hidalgo, Tully Foote

 -- Emerson Knapp <eknapp@amazon.com>  Tue, 24 Sep 2019 07:00:00 -0000

ros-eloquent-rcpputils (0.1.0-1bionic) bionic; urgency=high

  * Fixed leak in test_basic.cpp. (#9 <https://github.com/ros2/rcpputils/issues/9>)
  * Added CODEOWNERS file. (#10 <https://github.com/ros2/rcpputils/issues/10>)
  * Added commonly-used filesystem helper to utils. (#5 <https://github.com/ros2/rcpputils/issues/5>)
  * Fixed thread_safety_annotation filename to .hpp. (#6 <https://github.com/ros2/rcpputils/issues/6>)
  * Added section about DCO to CONTRIBUTING.md.
  * Added thread annotation macros. (#2 <https://github.com/ros2/rcpputils/issues/2>)
  * Contributors: Dirk Thomas, Emerson Knapp, Michael Carroll, Thomas Moulard

 -- Emerson Knapp <eknapp@amazon.com>  Sat, 13 Apr 2019 07:00:00 -0000
