=== debian/control ===
Source: ros-eloquent-rcpputils
Section: misc
Priority: optional
Maintainer: Emerson Knapp <eknapp@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-rcutils, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ros-workspace
Description: Package containing utility code for C++.
